﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;

namespace BerkeleyAlgorithm
{
    [Serializable]
    public class SomeOneWonException : Exception
    {
        public string UUID = "";
        public Neighbour NeighbourPointer;

        // Optional Constructors
        public SomeOneWonException(string UUID, Neighbour n)
            : base()
        {
            this.UUID = UUID;
            this.NeighbourPointer = n;
        }

        public SomeOneWonException(SerializationInfo info, StreamingContext ctxt)
            : base(info, ctxt)
        { }
    }
}

